Get all case statuses Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/cases-status

Query parameters

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • sort string

    Field to sort by. Valid fields are [created_at, name]. Negative sign to denote DESC. Defaults to 'name'.

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string

        The UUID of the resource.

      • created_at string

        The timestamp of when the resource was created.

      • updated_at string

        The timestamp of when the resource was updated.

      • name string

        The name of the status.

      • colour string

        The colour of the status.

      • position integer

        The position of the status.

      • is_type_completed boolean

        Indicates if the status is for a completed case type.

GET /api/v1/cases-status
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/cases-status' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": [
    {
      "uuid": "b5fe1fc6-f5c4-43d2-a67e-315bd75eabbb",
      "created_at": "2026-06-09T14:10:13+01:00",
      "updated_at": "2026-06-09T14:10:13+01:00",
      "name": "To Be Reviewed",
      "colour": "#23852B",
      "position": 5,
      "is_type_completed": false
    }
  ]
}